## mingw-w64-qt6-tools-6.7.0-1.src.tar.zst

=== src/qdoc/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(catch)
add_subdirectory(catch_conversions)
add_subdirectory(catch_generators)

if(QT_FEATURE_qdoc AND QT_FEATURE_clangcpp)
    add_subdirectory(qdoc)
endif()
